AWS IoT Device SDK C++ v2: Aws::Crt::Auth::IHttpRequestSigner Class Reference

AWS IoT Device SDK C++ v2 1.14.0 AWS IoT Device SDK C++ v2

Public Member Functions | List of all members
Aws::Crt::Auth::IHttpRequestSigner Class Referenceabstract

`#include <Signing.h>`

Inheritance diagram for Aws::Crt::Auth::IHttpRequestSigner:

## Public Member Functions
| IHttpRequestSigner ()=default
| IHttpRequestSigner (const IHttpRequestSigner &)=delete
| IHttpRequestSigner (IHttpRequestSigner &&)=delete
IHttpRequestSigner & | operator= (const IHttpRequestSigner &)=delete
IHttpRequestSigner & | operator= (IHttpRequestSigner &&)=delete
virtual | ~IHttpRequestSigner ()=default
virtual bool | SignRequest (const std::shared_ptr< Aws::Crt::Http::HttpRequest > &request, const ISigningConfig &config, const OnHttpRequestSigningComplete &completionCallback)=0
virtual bool | IsValid () const =0

## Detailed Description

Abstract base for all http request signers. Asynchronous interface. Intended to be a tight wrapper around aws-c-* signer implementations.

## Constructor & Destructor Documentation

## ◆ IHttpRequestSigner() [1/3]

Aws::Crt::Auth::IHttpRequestSigner::IHttpRequestSigner | ( |  | ) |
| default

## ◆ IHttpRequestSigner() [2/3]

Aws::Crt::Auth::IHttpRequestSigner::IHttpRequestSigner | ( | const IHttpRequestSigner & |  | ) |
| delete

## ◆ IHttpRequestSigner() [3/3]

Aws::Crt::Auth::IHttpRequestSigner::IHttpRequestSigner | ( | IHttpRequestSigner && |  | ) |
| delete

## ◆ ~IHttpRequestSigner()

virtual Aws::Crt::Auth::IHttpRequestSigner::~IHttpRequestSigner | ( |  | ) |
| virtualdefault

## Member Function Documentation

## ◆ IsValid()

virtual bool Aws::Crt::Auth::IHttpRequestSigner::IsValid | ( |  | ) | const
| pure virtual

Returns
  Whether or not the signer is in a valid state

Implemented in Aws::Crt::Auth::Sigv4HttpRequestSigner.

## ◆ operator=() [1/2]

IHttpRequestSigner & Aws::Crt::Auth::IHttpRequestSigner::operator= | ( | const IHttpRequestSigner & |  | ) |
| delete

## ◆ operator=() [2/2]

IHttpRequestSigner & Aws::Crt::Auth::IHttpRequestSigner::operator= | ( | IHttpRequestSigner && |  | ) |
| delete

## ◆ SignRequest()

virtual bool Aws::Crt::Auth::IHttpRequestSigner::SignRequest | ( | const std::shared_ptr< Aws::Crt::Http::HttpRequest > & | request,
|  | const ISigningConfig & | config,
|  | const OnHttpRequestSigningComplete & | completionCallback
| ) |  |
| pure virtual

Signs an http request based on the signing implementation and supplied configuration

Parameters

  request | http request to sign
  config | base signing configuration. Actual type should match the configuration expected by the signer implementation
  completionCallback | completion function to invoke when signing has completed or failed

Returns
  true if the signing process was kicked off, false if there was a synchronous failure.

Implemented in Aws::Crt::Auth::Sigv4HttpRequestSigner.

The documentation for this class was generated from the following file:

- crt/aws-crt-cpp/include/aws/crt/auth/Signing.h